#ifndef _ICONTOOL_H_
#define _ICONTOOL_H_

#include <ktmainwindow.h>
#include "iconview.h"
#include <qpixmap.h>
#include <qarray.h>

class IconTool : public KTMainWindow {

Q_OBJECT

  KMenuBar * mymenu;
  IconView * myview;
  bool havename;
  QString thename;

public:

  IconTool(const char * name=0);
  ~IconTool();

protected:

  virtual void resizeEvent(QResizeEvent *);

public slots:

  void file_new();
  void file_open();
  void file_save();
  void file_quit();

};

#endif
